//
//  geoCodingLib.h
//  geoCodingLib
//
//  Created by Takaaki Naganoya2 on 2023/03/16.
//

#import <Foundation/Foundation.h>
#import <CoreLocation/CoreLocation.h>

#ifndef geocodingLib_h
#define geocodingLib_h

//! Project version number for geoCodingLib.
FOUNDATION_EXPORT double geoCodingLibVersionNumber;

//! Project version string for geoCodingLib.
FOUNDATION_EXPORT const unsigned char geoCodingLibVersionString[];

// In this header, you should import all the public headers of your framework using statements like #import <geoCodingLib/PublicHeader.h>

@interface geocodingLib : NSObject
	@property (strong, nonatomic) NSArray *placemarksArray;
	@property (strong, nonatomic) NSString *placeAddress;


	//住所テキスト→ {緯度, 経度} --住所ジオコーディング
	- (void)getLatLong:(NSString *)myAddress;
	// {緯度, 経度}ト→ 住所テキス--逆住所ジオコーディング
	- (void)getAddress:(CLLocation *)myLoc;
@end

#endif /* geocodingLib.h */

